[% BLOCK show_single_attribute_field %]

[% prefix = 'kenmerken_' _ f.magic_string;
   label = prefix _ '_label';
   label_value = prefix _ '_value';

   key = f.magic_string _ '_value';
   value = params.object_metadata.$key;
%]
  <tr>
    <td>
      <div>
        <input type="text"
               name="[% label %]"
               value="[% f.label %]" readonly />
      </div>
    </td>
    <td>
      <div>
        <input type="text"
               name="[% label_value %]"
               placeholder="[[magic_string]]"
               value="[% value %]"
         />
      </div>
    </td>
  </tr>

[% END %]

[% BLOCK show_attributes_and_value_mapping %]

[%
  fields = custom_object_type.custom_object_type_version_id.custom_field_definition.custom_fields;

  FOREACH f IN fields;
    PROCESS show_single_attribute_field;
  END;
%]

[% END %]


<div id="custom_object_type_definitie">
  <form>
    <input type="hidden" name="uniqueidr" value="[% c.req.params.uniqueidr %]" />
    <input type="hidden" name="update" value="1" />
    <input type="hidden" name="rownumber" value="[% rownumber %]" />
    <input type="hidden" name="edit_id" value="[% c.req.params.edit_id %]" />

    <div>
      <input type="hidden" name="dialog_checkboxes" value="kenmerken_create_object" />
      <input type="checkbox" value="1" name="kenmerken_create_object"
        [% (params.object_metadata.create_object ? ' checked="checked"' : '') %]>
      <label for="create_custom_object_in_case">Object aanmaken in zaak</label>
    </div>
    <div>
      <input type="hidden" name="dialog_checkboxes" value="kenmerken_value_mandatory" />
      <input type="checkbox" value="1" name="kenmerken_value_mandatory"
        [% (params.value_mandatory ? 'checked="checked"' : '') %]>
      <label for="create_custom_object_in_case">Verplicht</label>
    </div>

    <div>
      <label>Titel voor aanmaken-knop</label>
      <input
        type="text"
        name="kenmerken_create_object_action_label"
        placeholder="Object aanmaken"
        value="[% params.object_metadata.create_object_action_label %]" />
    </div>

    <table id="kenmerk_template" class="form">
      <tr>
        <td>
          <div>
            Kenmerk van object
          </div>
        </td>
        <td>
          <div>
            Vooringevulde waarde
          </div>
        </td>
      </tr>
      [% PROCESS show_attributes_and_value_mapping %]
    </table>
    <div class="form-actions">
      <input type="submit" value="Opslaan" class="button button-primary">
    </div>
  </form>
</div>
